Retrieve inbound invoices received from suppliers through the PEPPOL network.
Before you begin, make sure you have completed the following:
- Registered your company endpoints (see Set up credentials)
- Set up notification delivery method (Pull or Push)
- Generated API credentials for notification access
This task shows how to retrieve inbound invoice notifications and download invoice documents.
- Poll for notifications (Pull method).
If you use the Pull method, call the notifications API:
GET /notifications/inbound/documentSyncNotifications?productId=be_invoice_inbound_1.0&processType=I
Authorization: Bearer {access_token}
Before polling for notifications, make sure you have registered your company endpoints. See Configure network page.
- Process the notification response.
The API returns notifications with:
- Notification ID and correlation ID
- ERP System ID for routing
- Base64-encoded
ApplicationResponse content
- Document status code
- Decode the
ApplicationResponse.
Decode the Base64 content to access the UBL ApplicationResponse XML that has download URIs.
- Download the documents.
Extract the download URIs from the ApplicationResponse and retrieve documents in your preferred format:
- Integration format (PEPPOL BIS 3.0 UBL)
- Legal format (for archival)
- PDF format (for human review)
GET {download_uri}
Authorization: Bearer {access_token}
For information on how documents are routed to your system, see Configure network page.
- Process the document in your system.
Route the document to the appropriate internal system using the erpSystemId from the notification.
- Acknowledge receipt.
Mark the notification as processed in your system to avoid duplicate processing. Track the notificationId to prevent reprocessing.
Your system retrieves inbound invoice notifications and downloads documents from the PEPPOL network.
Note: If you use the Push method, Sovos sends notifications directly to your set up Trade service endpoint instead of waiting for your system to poll.